# Interface BasicAuthentication

All Superinterfaces:
  `Authentication, Named`

@Incubating public interface BasicAuthentication extends Authentication
Authentication scheme for basic access authentication over HTTP. When using this scheme, credentials are sent preemptively.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

### Methods inherited from interface Named

`getName`